Show / Hide Table of Contents

# Class AgentAttribute

##### Inheritance

System.Object
AgentAttribute

###### Namespace: FFXIVClientStructs.Attributes

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public class AgentAttribute : Attribute

### Constructors

| Improve this Doc View Source

#### AgentAttribute(AgentId)

##### Declaration

    public AgentAttribute(AgentId agentId)

##### Parameters

Type | Name | Description
--- | --- | ---
AgentId | agentId |

### Properties

| Improve this Doc View Source

#### ID

##### Declaration

    public AgentId ID { get; }

##### Property Value

Type | Description
--- | ---
AgentId |